#ifndef __LIBDRLB_H__

#define __LIBDRLB_H__

#define SPORT(ip)       (ip)->ss_family == AF_INET ?              \
                        ((struct sockaddr_in *)(ip))->sin_port :  \
			((struct sockaddr_in6 *)(ip))->sin6_port


#define HU_DECIMAL 0x01
#define HU_NOSPACE 0x02
#define HU_DIVISOR_1000 0x4

char *human(double, char *, int);
char *paddr(struct sockaddr_storage *);
int same_addr(struct sockaddr_storage *, struct sockaddr_storage *);
int sched_id(char *);
char *sched_name(int, int);
char *ioctl_type(long);
int is_digit(char *);
int lbdr_ioctl(long, void *);
int lbdr_change_server(long, struct sockaddr_storage *, struct sockaddr_storage *, int, int, int, int, int, int, int, int, int, int);
int lbdr_set_brother(char *, char *);
int lbdr_get_nip(int);
struct lbdr_param * lbdr_get_stats(int);
struct sockaddr_storage * get_ip(char *, char *, int);


#endif


